Bug 95954 - Mail merge wizard's elements have white background
Summary: Mail merge wizard's elements have white background
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
: 95474 99344 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-11-20 15:25 UTC by Yan Pas
Modified: 2016-10-25 19:02 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (37.06 KB, image/png)
2015-11-20 15:27 UTC, Yan Pas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2015-11-20 15:25:20 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2490.86 Safari/537.36
Build Identifier: LibreOffice 5.0.3.2

The problem appears with GTK on Linux (Mint 17.2), don't know about other distros

Reproducible: Always

Steps to Reproduce:
1. Open writer
2. Press Tools -> Mail Merge wizard
Actual Results:  
There were no such problem on LO 4.4


[Information automatically included from LibreOffice]
Locale: ru
Module: TextDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes


Reset User Profile?No
Comment 1 Yan Pas 2015-11-20 15:27:36 UTC
Created attachment 120682 [details]
screenshot

See also https://bugs.documentfoundation.org/show_bug.cgi?id=92217
Comment 2 A (Andy) 2015-11-20 17:32:36 UTC
Reproducible with LO 5.0.3.2, Win 8.1

Looks really a little strange and I could not imagine that this would have been made consciously that way.
Comment 3 Julien Nabet 2015-11-27 22:08:48 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this with SAL_USE_VCLPLUGIN=gen or SAL_USE_VCLPLUGIN=gtk but not with gtk3.

It seems the right display is a big white rectangle for left pane.
I noticed that if you move the window so left pane is out of the display then move back the window, you'll see the white rectangle for gen or gtk.

I noticed this on console logs for gtk3 only:
warn:vcl.gdi:13942:1:vcl/headless/svpgdi.cxx:169: non default depth bitmap, slow convert, upscale the input
Comment 4 Katarina Behrens (CIB) 2016-05-17 09:30:47 UTC
*** Bug 99344 has been marked as a duplicate of this bug. ***
Comment 6 Yan Pas 2016-05-21 21:14:23 UTC
Commit patch to 5.1 and maybe 5.0 please too :)
Comment 7 Katarina Behrens (CIB) 2016-05-23 13:03:41 UTC
5.0 is end-of-life by now, no new releases (yes yes, the lifetime of LO releases is ridiculously low, don't get me started on that)

5.1 backport can be done, with bugfixes like this I usually don't backport proactively, only when the users ask
Comment 8 Commit Notification 2016-05-25 15:39:29 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18d1be25a4fd3c88e4c9d74b88078810c93614a3&h=libreoffice-5-1

tdf#95954: Reasonable background for roadmap widget

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Adolfo Jayme 2016-05-29 01:02:10 UTC
*** Bug 95474 has been marked as a duplicate of this bug. ***
Comment 10 Arnaud LE CAM 2016-05-29 22:03:02 UTC
(In reply to Commit Notification from comment #8)
> Katarina Behrens committed a patch related to this issue.
> It has been pushed to "libreoffice-5-1":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=18d1be25a4fd3c88e4c9d74b88078810c93614a3&h=libreoffice-5-1
> 
> tdf#95954: Reasonable background for roadmap widget
> 
> It will be available in 5.1.4.
> 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

It works for me now, thank you
Comment 11 Katarina Behrens (CIB) 2016-05-30 09:46:28 UTC
> It works for me now, thank you

Glad to read that :)